textures/duck_funmap_pack1/deepwater
{
	qer_editorimage env/deepwater/deepwater_up
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .5 .7 .9 75 60 89
	q3map_globaltexture
	skyparms env/deepwater/deepwater - -
}


textures/duck_funmap_pack1/oceanfloor
{
	qer_editorimage textures/photorealistic_sand/sand008.tga
	{
		map textures/photorealistic_sand/sand008.tga
		rgbGen identity
	}
	{
		map textures/funmap/water_overlay2.tga
		blendfunc gl_dst_color gl_one
		tcMod scale 0.25 0.25
		tcMod scroll 0.05 0.05
		tcmod turb 0 0.01 0.5 0.5
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


textures/duck_funmap_pack1/waterfog2
{
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

	fogparms ( 0 .25 .4 ) 3840
}


textures/duck_funmap_pack1/deepwatersuface
{
	qer_editorimage textures/funmap/deepwater2
	surfaceparm water
	qer_nocarve
	qer_trans 0.75
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 100
	cull none
	{
		map textures/funmap/deepwater2.tga
		blendfunc gl_src_color gl_dst_color
		tcmod turb 0 .1 0.2 .1
	}
//	{
//		map textures/funmap/deepwater2
//		blendfunc blend
//		tcmod scroll .1 .1
//	}
}


textures/duck_funmap_pack1/waterglass
{
	qer_editorimage textures/effects/tinfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	qer_trans 0.5
	q3map_globaltexture
	{
		map textures/effects/tinfx.tga
		blendfunc add
		tcGen environment 
	}
}


textures/duck_funmap_pack1/watermetal_shader
{
	qer_editorimage textures/funmap/watermetal.jpg
	cull none
	{
		map textures/funmap/watermetal.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/duck_funmap_pack1/airpocket
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
	qer_nocarve
}


textures/duck_funmap_pack1/watersurface
{
	qer_editorimage textures/wilyduck_1/duck_water1.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm	water
	qer_nocarve
	qer_trans 0.3
	fogparms ( 0 .25 .4 ) 3840
	cull none

	{
		map textures/wilyduck_1/duck_water3.tga
		blendfunc gl_dest_color gl_one_minus_src_color
		tcmod turb 0 .75 0 .05
	}
	{
		map textures/wilyduck_1/duck_water2.tga
		blendfunc gl_dst_color gl_src_color
		tcmod turb 0 .5 .5 .05
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}


textures/duck_funmap_pack1/deep_bubbles_shader
{
	qer_editorimage textures/funmap/deep_bubbles2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		map textures/funmap/deep_bubbles2.tga
		blendfunc gl_dst_color gl_dst_color
		tcMod scroll -0.05 1.4
		tcMod turb 0 0.01 0 0.5
		alphaFunc GE128
	}
	{
		map textures/funmap/deep_bubbles.tga
		blendfunc gl_dst_color gl_dst_color
		tcMod scroll 0.05 2.6
		alphaFunc GE128
	}
}


textures/duck_funmap_pack1/starfish
{
	qer_editorimage textures/funmap/starfish.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/funmap/starfish.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
	}
}



textures/duck_funmap_pack1/seaweed1
{
	qer_editorimage textures/funmap/seaweed1.tga
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/funmap/seaweed1.tga
		alphaFunc GE128
	}
}


